package cn.net.caoyao.cpzshandset.service.thread;

public enum ThreadErrorConstant {
	code_65500(0xFFDC,"客户端上行的协议与工作模式不匹配"),
	code_65472(0xFFC0,"json解析错误"),
	code_65471(0xFFBF,"该标签不是中国追溯的合法标签"),
	code_2(0x2,"数据库插入失败"),
	code_10001(10001,"sql提交错误"),
	code_10002(10002,"设备ID不存在"),
	code_10003(10003,"json解析错误"),
	code_10004(10004,"存在重复激活的标签"),
	code_10005(10005,"mysql句柄为空"),
	code_10006(10006,"当前打包的标签不是同一个产品的"),//打包时有的标签已经存在，但是属于不同的产品
	code_10007(10007,"筛查已经存在的标签时出错"),//筛查已经存在的标签时出错
	code_10008(10008,"当前打包标签中，存在未激活标签"),//打包的时候有标签未被激活
	code_10009(10009,"标签不合法"),//标签不合法
	code_10010(10010,"该标签不是包标签"),//拆包时检查标签是子标签不是包标签
	code_10011(10011,"标签不存在"),//标签不存在label_info 表中
	code_10012(10012,"上传发货类型错误"),//	12,10012 云天化上传发货类型错误
	code_10013(10013,"上传发货信息失败"),//13,10013 云天化上传发货信息失败
	code_10014(10014,"出库失败"),//10014出库失败
	code_10015(10015,"返库失败"),//10015返库失败
	code_10016(10016,"上传的标签为空"),//10016 标签数组是空的
	code_10017(10017,"托盘标签不存在"),//10017中纺标签托盘出库的时候检测无托盘ID
	code_10018(10018,"存在未出库标签"),//	 标签不是全部出库状态
	code_10019(10019,"存在未返库标签"),//标签不是全部返库状态
	code_10020(10020,"提交的标签不是来自指定的同一个经销商"),//标签不是来自指定的同一个经销商
	code_10021(10021,"标签区间重复"),//标签区间重复
	code_10022(10022,"该订单不存在"),//查询订单失败
	code_10023(10023,"有部分标签已经出库"),//有部分标签已经出库
	code_10024(10024,"标签数超过该司机的指定数目"),//云天化物流标签超过司机指定数目
	code_10025(10025,"运单中存在已经发货的标签"),//云天化物流标签存在重复发货
	code_10026(10026,"存在标签不是包标签"),//10026存在标签不是包标签
	code_10027(10027,"验证码错误"),//10027 消费码错误
	code_10028(10028,"该IMEI还未注册到对应的专柜"),//10028IMEI未注册到对应的专柜
	code_10029(10029,"药监码不存在"),//10029药监码不存在
	code_10030(10030,"未注册标签卷"),//10030未注册标签卷
	code_10031(10031,"有部分标签已经销售"),//10031  有部分标签已经销售"
	code_10032(10032,"有部分标签已经退货"),//10032 有部分标签已经退货
	code_10033(10033,"退货时标签不是全部销售或者出库状态"),//10033退货时标签不是全部销售或者出库状态
	code_10034(10034,"汽配找不到车牌号"),
	code_10035(10035,"汽配因为不是包标签或者是操作opt错误，不允许销售"),
	code_10036(10036,"由于配件未出库所以销售失败"),
	code_10037(10037,"配件重复销售"),
	code_10040(10040,"配件号不存在");
	
	private int error_code;
	private String error_msg;
	private ThreadErrorConstant(int error_code,String error_msg) {
		this.error_code = error_code;
		this.error_msg = error_msg;
	}
	
	public int getError_code() {
		return error_code;
	}
	public void setError_code(int error_code) {
		this.error_code = error_code;
	}
	public String getError_msg() {
		return error_msg;
	}
	public void setError_msg(String error_msg) {
		this.error_msg = error_msg;
	}
}
